<form (ngSubmit)="searchQuery()">
    <div class="row mb-4">
        <div class="form-group col-md-9">
          <input type="text" name="search" [(ngModel)]="search" placeholder="What're you searching for?" class="form-control form-control-underlined">
        </div>
        <div class="form-group col-md-3">
          <button type="submit" class="btn btn-primary rounded-pill btn-block shadow-sm">Search</button>
        </div>
      </div>
    </form>
    <div class="row card-deck">
        <div class="col-lg-4 col-md-6 mb-4" *ngFor="let cart of productCarts" >
            <div class="card p-3 h-100 ">
                <div class="card-header">
                    <h5>{{cart.product.productName}}</h5>
                </div>
                <div class="card-body">
                    <a  href="#"><img class="card-img-top fit-image " src={{cart.product.pictureURL}} alt=""></a>
                    
                    <div class="container text-left ">
                        <ul class="list-unstyled">
                            <li><small>{{cart.product.authorOrDesign}}</small></li>
                            <li><small>{{cart.product.genreOrType}}</small></li>
                            <li><small>{{cart.product.publicationOrBrand}}</small></li>
                            <li><h6 class="card-title">₹ {{cart.product.price}}</h6></li>
                            </ul>
    
                    </div>
                    <div class="row">
                        <div class="col-4 padding-0"  *ngIf="!cart.product.productAddedInCart">
                            <input type="number" min="0" class="form-control" [(ngModel)]=cart.quantity>
                            
                        </div>
                        <div class="col-8 padding-0"  *ngIf="!cart.product.productAddedInCart">
                            <button class="btn btn-primary" (click)="addToCart(cart.product.productId,cart.quantity)"
                                    [disabled]="cart.quantity <= 0" >Add To Cart
                            </button>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-12" *ngIf="cart.product.productAddedInCart" >
                            <button class="btn btn-primary btn-block"
                            (click)="removeFromCart(cart.product.productId)">Remove From Cart
                            </button>
                        </div>
                    </div>
    
                </div>
            </div>
        </div>
    </div>
    
    
    
    